curl --request GET \
--url https://api.opencals.com/storefront/orders/{orderId}/invoicesimport requests
url = "https://api.opencals.com/storefront/orders/{orderId}/invoices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.opencals.com/storefront/orders/{orderId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"storeId": "<string>",
"orderId": "<string>",
"customerId": "<string>",
"number": "INV-1001",
"provider": "stripe",
"kind": "collectible",
"status": "draft",
"amountDue": 49.99,
"currencyCode": "USD",
"snapshot": {},
"externalId": "<string>",
"paymentIntentId": "<string>",
"externalUrl": "<string>",
"pdfStorageKey": "<string>",
"error": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z"
}
]List invoices issued for the authenticated customer order
Path Parameters
Unique identifier of the order
"123e4567-e89b-12d3-a456-426614174000"
Response
Store that owns the invoice
Order the invoice was issued for
Customer the invoice is billed to
Human-facing invoice number
"INV-1001"
Provider used to issue the invoice
stripe, cash, bank_transfer, shopify, no_payment_required Whether this is a collectible invoice or a paid receipt
collectible, receipt draft, sent, paid, void, failed Outstanding amount this invoice is for
49.99
Currency code
"USD"
Immutable snapshot of the billable state at issue time
External invoice id (Stripe invoice id / Shopify reference)
For receipts: the Stripe PaymentIntent (pi_...) this receipt documents. Null for collectible invoices.
Hosted invoice / payment URL (e.g. Stripe hosted_invoice_url)
S3 object key of the generated PDF (manual invoices)
Failure reason when status is failed
When the invoice was issued
When the invoice is due
When the invoice was delivered to the customer
When the outstanding amount was paid
Was this page helpful?